org.omg.DynamicAny

## Interface DynArrayOperations

All Superinterfaces:
  DynAnyOperations

All Known Subinterfaces:
  DynArray

All Known Implementing Classes:
  _DynArrayStub

    public interface DynArrayOperations
    extends DynAnyOperations

DynArray objects support the manipulation of IDL arrays. Note that the dimension of the array is contained in the TypeCode which is accessible through the type attribute. It can also be obtained by calling the component_count operation.

### Method Summary

Methods
`DynAny[]` `get_elements_as_dyn_any()` Returns the elements of the DynArray as DynAnys.
`Any[]` `get_elements()` Returns the elements of the DynArray.
`void` `set_elements_as_dyn_any(DynAny[] value)` Sets the DynArray to contain the passed elements.
`void` `set_elements(Any[] value)` Sets the DynArray to contain the passed elements.

### Methods inherited from interface org.omg.DynamicAny.DynAnyOperations

`assign, component_count, copy, current_component, destroy, equal, from_any, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

### Method Detail

#### get_elements

    Any[] get_elements()

Returns the elements of the DynArray.

#### set_elements

    void set_elements(Any[] value)
                      throws TypeMismatch,
                             InvalidValue

Sets the DynArray to contain the passed elements.

Throws:
  `TypeMismatch` - if one or more elements have a type that is inconsistent with the DynArrays TypeCode
  `InvalidValue` - if the sequence does not contain the same number of elements as the array dimension

#### get_elements_as_dyn_any

    DynAny[] get_elements_as_dyn_any()

Returns the elements of the DynArray as DynAnys.

#### set_elements_as_dyn_any

    void set_elements_as_dyn_any(DynAny[] value)
                                 throws TypeMismatch,
                                        InvalidValue

Sets the DynArray to contain the passed elements.

Throws:
  `TypeMismatch` - if one or more elements have a type that is inconsistent with the DynArrays TypeCode
  `InvalidValue` - if the sequence does not contain the same number of elements as the array dimension

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.